From 9284627abdcee2b851531a55f82288a73285c9fd Mon Sep 17 00:00:00 2001
From: Craig Ringer <craig.ringer@2ndquadrant.com>
Date: Thu, 17 Jun 2021 11:47:18 +0800
Subject: [PATCH v1 2/5] Make struct WalRecv PGDLLIMPORT for extensions

This allows extensions on a standby to observe the state of the wal
receiver.
---
 src/include/replication/walreceiver.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/include/replication/walreceiver.h b/src/include/replication/walreceiver.h
index 4fd7c25ea7..016814658e 100644
--- a/src/include/replication/walreceiver.h
+++ b/src/include/replication/walreceiver.h
@@ -160,7 +160,7 @@ typedef struct
 	sig_atomic_t force_reply;	/* used as a bool */
 } WalRcvData;
 
-extern WalRcvData *WalRcv;
+extern PGDLLIMPORT WalRcvData *WalRcv;
 
 typedef struct
 {
-- 
2.31.1

